Package org.eclipse.microprofile.metrics.tck.metrics

## Class OverloadedTimedMethodBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.OverloadedTimedMethodBean

    @Dependent
    public class OverloadedTimedMethodBean
    extends Object

### Constructor Summary

Constructors
`OverloadedTimedMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `overloadedTimedMethod()`
`void` `overloadedTimedMethod​(Object object)`
`void` `overloadedTimedMethod​(String string)`
`void` `overloadedTimedMethod​(List<String> strings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OverloadedTimedMethodBean

    public OverloadedTimedMethodBean()

### Method Detail

#### overloadedTimedMethod

    @Timed(name="overloadedTimedMethodWithNoArguments")
    public void overloadedTimedMethod()

#### overloadedTimedMethod

    @Timed(name="overloadedTimedMethodWithStringArgument")
    public void overloadedTimedMethod​(String string)

#### overloadedTimedMethod

    @Timed(name="overloadedTimedMethodWithListOfStringArgument")
    public void overloadedTimedMethod​(List<String> strings)

#### overloadedTimedMethod

    @Timed(name="overloadedTimedMethodWithObjectArgument")
    public void overloadedTimedMethod​(Object object)